Subject: Solved! Re: Behavior of 'dir' in Perl after Cygwin installed
From: [email-masked] (Denis Haskin)

29 Jan 1999 11:00:22 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

[email-masked] wrote:
> [snip]
> I am very perplexed as to why the behavior of the dir command, when
executed
> in a subprocess (backticks) from Perl, has changed.

I've figured it out, I think.  There's an external dir command in
cygwin, which
is the file /cygnus/cygwin~1/H-I586~1/bin/dir.exe.

Before I installed cygwin, the
     $ret = `dir`;
in Perl was running the internal NT cmd.exe dir command.  After cygwin
was
installed, my guess is that system() or backticks in perl were actually
scanning
the path to find a dir.exe first (and finding it in the cygwin /bin
directory)
and running that instead of the internal command.  I renamed cygwin's
dir.exe to
cygnus-dir.exe (since I don't really need it) and all is now hunky-dory.

Phew.

dwh

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".